Skip to content
Skip to main content
PUT
/v3/grants/{grant_id}/workflows/{workflow_id}

Update a workflow

Updates the specified grant-level workflow.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

workflow_id*string

The ID of the workflow to access.

Example: "b79c82b2-a51b-4c54-8469-28006a43551a"

Request body

Update workflow request

delayinteger

The number of minutes between a trigger_event being met and the workflow sending a message.

Example: 1
is_enabledboolean

When true, indicates that the workflow is enabled.

Example: false
namestring

The name of the workflow.

Example: "Updated booking confirmation workflow"
template_idstring

The ID of the email template the workflow uses.

Example: "14c00cc8-648c-4381-ad10-52641d9bac8e"
trigger_eventstring

The event which triggers the workflow.

booking.cancelledbooking.createdbooking.pendingbooking.reminderbooking.rescheduled
Example: "booking.created"
fromobjectnull

Details of the sender if the workflow should use transactional send. If not provided, the sender will be the grant associated with the trigger event.

Responses

request_id*string

The ID of the request.

data*object

A custom workflow that sends messages from a template when certain events are triggered.

PUThttps://api.us.nylas.com/v3/grants/nyla%40example.com/workflows/b79c82b2-a51b-4c54-8469-28006a43551a

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. You can also use the email address associated with the grant, or use /me/ to refer to the grant associated with an access token.

workflow_idrequiredstring

The ID of the workflow to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.